---
title: "Returns status information about the specified personal gift card."
url: "https://developer.migros.ch/apis/gift-cards-8/versions/b48148c4-b8c0-4d7f-a962-d965d98935d0/operations/get-personal-giftcard"
---

> Full API specification: https://developer.migros.ch/apis/gift-cards-8/versions/b48148c4-b8c0-4d7f-a962-d965d98935d0.md

# Returns status information about the specified personal gift card.

`GET` `/migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}`

Operation ID: `get-personal-giftcard`

Returns status information about the specified personal gift card.

## Path parameters

- `person_id` (string, required) - Customer's person ID.
- `card_id` (string, required) - Gift Card Id

## Query parameters

- `pin` (string, required) - Gift Card Pin. Required for security reasons, even though not mandatory by gift card SOAP service.
- `POS_ID` (string, optional) - Gift Card POS Protocol Specification Version 1.5.0.
- `TERMINAL_ID` (string, optional) - Gift Card POS Protocol Specification Version 1.5.0.
- `STORE_ID` (string, optional) - Store Number/Merchant number.
- `SELLER_NAME` (string, optional) - The name of the sales person.
- `POS_TIMESTAMP` (string, date-time, optional) - Local transaction date from POS.
- `POS_TRANS_ID` (string, optional) - Transaction ID from POS.
- `lang` (string, optional) - Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param "lang" or header "Accept-Language", not both.

## Header parameters

- `Accept-Language` (string, optional) - Defines the language (de/fr/it/en) for this request as request header. Either use the query param "lang" or header "Accept-Language", not both.

## Responses

- `200` - Returned when successful
- `400` - Returned when the request is incorrect
- `403` - Returned when the gift card is not found or pin is invalid
- `502` - Returned when the gift card backend has a problem

## OpenAPI definition

```yaml
openapi: 3.0.0
info:
  title: Gift Cards
  version: "8"
servers:
  - description: URL of upstream
    url: https://api.migros.ch
paths:
  /migros/customers/payment-methods/v1/personal-giftcards/{person_id}/cards/{card_id}:
    get:
      description: Returns status information about the specified personal gift card.
      operationId: get-personal-giftcard
      parameters:
        - description: Customer's person ID.
          in: path
          name: person_id
          required: true
          schema:
            type: string
        - description: Gift Card Id
          in: path
          name: card_id
          required: true
          schema:
            type: string
        - description: Gift Card Pin. Required for security reasons, even though not
            mandatory by gift card SOAP service.
          in: query
          name: pin
          required: true
          schema:
            type: string
        - description: Gift Card POS Protocol Specification Version 1.5.0.
          in: query
          name: POS_ID
          schema:
            maxLength: 16
            type: string
        - description: Gift Card POS Protocol Specification Version 1.5.0.
          in: query
          name: TERMINAL_ID
          schema:
            maxLength: 16
            type: string
        - description: Store Number/Merchant number.
          in: query
          name: STORE_ID
          schema:
            maxLength: 16
            type: string
        - description: The name of the sales person.
          in: query
          name: SELLER_NAME
          schema:
            maxLength: 32
            type: string
        - description: Local transaction date from POS.
          in: query
          name: POS_TIMESTAMP
          schema:
            format: date-time
            type: string
        - description: Transaction ID from POS.
          in: query
          name: POS_TRANS_ID
          schema:
            maxLength: 16
            type: string
        - $ref: "#/components/parameters/lang"
        - $ref: "#/components/parameters/Accept-Language"
      responses:
        "200":
          description: Returned when successful
        "400":
          description: Returned when the request is incorrect
        "403":
          description: Returned when the gift card is not found or pin is invalid
        "502":
          description: Returned when the gift card backend has a problem
      summary: Returns status information about the specified personal gift card.
      tags:
        - Gift Cards
security:
  - Kong-Api-Key: []
    basicAuth: []
components:
  parameters:
    lang:
      description: Defines the language (de/fr/it/en) for this request as query
        parameter. Either use the query param "lang" or header
        "Accept-Language", not both.
      in: query
      name: lang
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
    Accept-Language:
      description: Defines the language (de/fr/it/en) for this request as request
        header. Either use the query param "lang" or header "Accept-Language",
        not both.
      in: header
      name: Accept-Language
      schema:
        default: de
        enum:
          - de
          - fr
          - it
          - en
        type: string
  securitySchemes:
    Kong-Api-Key:
      description: Kong key-auth authentication
      in: header
      name: X-Api-Key
      type: apiKey
    basicAuth:
      scheme: basic
      type: http
```
